/**Begin D:\PDM_UPGRADE\PDM1\HRSS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRSS_SEARCHWESUBENTRY' AND KSQL_COL_NAME IN ('FSEARCHOBJENTITYID')) 
 ALTER TABLE T_HRSS_SEARCHWESUBENTRY ADD (FSEARCHOBJENTITYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRSS_SEARCHWESUBENTRY' AND KSQL_COL_NAME IN ('FFIELDNAME')) 
 ALTER TABLE T_HRSS_SEARCHWESUBENTRY ADD (FFIELDNAME NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRSS_SEARCHWESUBENTRY' AND KSQL_COL_NAME IN ('FFIELDID')) 
 ALTER TABLE T_HRSS_SEARCHWESUBENTRY ADD (FFIELDID NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRSS_SEARCHWESUBENTRY' AND KSQL_COL_NAME IN ('FFIELDNAMECOPY')) 
 ALTER TABLE T_HRSS_SEARCHWESUBENTRY ADD (FFIELDNAMECOPY NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRSS_SEARCHWESUBENTRY_L') 
 CREATE TABLE T_HRSS_SEARCHWESUBENTRY_L (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FFIELDNAME NCLOB
);



/**End D:\PDM_UPGRADE\PDM1\HRSS_table.sql **/
